library verilog;
use verilog.vl_types.all;
entity EPT_4CE6_AF_D1_Top is
    generic(
        IDLE            : integer := 0;
        START_ADC_CONV  : integer := 1;
        ENCODE_HIGH     : integer := 2;
        ENCODE_LOW      : integer := 3;
        CHECK_FOR_MAX_SAMPLES: integer := 4;
        UPDATE_CH_SELECT: integer := 5;
        TRANSFER_TO_HOST: integer := 6;
        TRANSFER_COMPLETE: integer := 7;
        PGA_WRITE_CMD   : vl_logic_vector(0 to 3) := (Hi1, Hi0, Hi0, Hi0);
        PGA_READ_CMD    : vl_logic_vector(0 to 3) := (Hi1, Hi0, Hi0, Hi1);
        PGA_CHANNEL_1   : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi1);
        PGA_CHANNEL_2   : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi1, Hi0);
        PGA_CHANNEL_3   : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi1, Hi1);
        PGA_CHANNEL_4   : vl_logic_vector(0 to 3) := (Hi0, Hi1, Hi0, Hi0);
        MAX_SAMPLES     : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1);
        ADC_MAX_FRAME_COUNT: vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        aa              : in     vl_logic_vector(1 downto 0);
        bc_in           : in     vl_logic_vector(1 downto 0);
        bc_out          : out    vl_logic_vector(2 downto 0);
        bd_inout        : inout  vl_logic_vector(7 downto 0);
        XIO_1           : out    vl_logic_vector(7 downto 0);
        XIO_2           : out    vl_logic_vector(7 downto 0);
        XIO_3           : out    vl_logic_vector(7 downto 0);
        PGA_MOSI        : out    vl_logic;
        PGA_CLK         : out    vl_logic;
        PGA_MISO        : in     vl_logic;
        PGA_CS          : out    vl_logic;
        PGA_ENABLE      : out    vl_logic;
        ADC_ENCODE      : out    vl_logic;
        ADC_BUS         : in     vl_logic_vector(7 downto 0);
        I2C_SDA         : inout  vl_logic;
        I2C_SCL         : in     vl_logic;
        TR_DIR_1        : out    vl_logic;
        TR_OE_1         : out    vl_logic;
        TR_DIR_2        : out    vl_logic;
        TR_OE_2         : out    vl_logic;
        TR_DIR_3        : out    vl_logic;
        TR_OE_3         : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of START_ADC_CONV : constant is 1;
    attribute mti_svvh_generic_type of ENCODE_HIGH : constant is 1;
    attribute mti_svvh_generic_type of ENCODE_LOW : constant is 1;
    attribute mti_svvh_generic_type of CHECK_FOR_MAX_SAMPLES : constant is 1;
    attribute mti_svvh_generic_type of UPDATE_CH_SELECT : constant is 1;
    attribute mti_svvh_generic_type of TRANSFER_TO_HOST : constant is 1;
    attribute mti_svvh_generic_type of TRANSFER_COMPLETE : constant is 1;
    attribute mti_svvh_generic_type of PGA_WRITE_CMD : constant is 1;
    attribute mti_svvh_generic_type of PGA_READ_CMD : constant is 1;
    attribute mti_svvh_generic_type of PGA_CHANNEL_1 : constant is 1;
    attribute mti_svvh_generic_type of PGA_CHANNEL_2 : constant is 1;
    attribute mti_svvh_generic_type of PGA_CHANNEL_3 : constant is 1;
    attribute mti_svvh_generic_type of PGA_CHANNEL_4 : constant is 1;
    attribute mti_svvh_generic_type of MAX_SAMPLES : constant is 1;
    attribute mti_svvh_generic_type of ADC_MAX_FRAME_COUNT : constant is 1;
end EPT_4CE6_AF_D1_Top;
